Get review state (repo_id addressing)
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code_version": {
"base_ref": "<string>",
"base_sha": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"head_ref": "<string>",
"head_sha": "<string>",
"id": "<string>",
"repo_id": "<string>",
"trail_id": "<string>"
},
"comments": [
{
"outgoing_links": [
{
"link_type": "<string>",
"source_comment_id": "<string>",
"target_comment_id": "<string>"
}
],
"suggested_changes": [
{
"change_type": "<string>",
"code_version_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"expected_end_line": 123,
"expected_file_hash": "<string>",
"expected_file_path": "<string>",
"expected_lines": "<string>",
"expected_start_line": 123,
"id": "<string>",
"instruction": "<string>",
"patch": "<string>",
"review_comment_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
],
"counts": {
"dismissed": 123,
"open": 123,
"resolved": 123,
"stale": 123,
"total": 123
},
"event_cursor": "<string>",
"review": {
"actor_id": "<string>",
"code_version_id": "<string>",
"id": "<string>",
"source_execution_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"trail_id": "<string>"
},
"$schema": "/api/v1/schemas/ReviewSnapshotResponseBody.json",
"next_cursor": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}Reviews
Get review state (repo_id addressing)
A review’s current state, addressed by opaque repo id. Same projection, counts, keyset paging, and event cursor as the wire-parity path.
GET
/
repos
/
{repo_id}
/
trails
/
{number}
/
reviews
/
{review_id}
Get review state (repo_id addressing)
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/trails/{number}/reviews/{review_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code_version": {
"base_ref": "<string>",
"base_sha": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"head_ref": "<string>",
"head_sha": "<string>",
"id": "<string>",
"repo_id": "<string>",
"trail_id": "<string>"
},
"comments": [
{
"outgoing_links": [
{
"link_type": "<string>",
"source_comment_id": "<string>",
"target_comment_id": "<string>"
}
],
"suggested_changes": [
{
"change_type": "<string>",
"code_version_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"expected_end_line": 123,
"expected_file_hash": "<string>",
"expected_file_path": "<string>",
"expected_lines": "<string>",
"expected_start_line": 123,
"id": "<string>",
"instruction": "<string>",
"patch": "<string>",
"review_comment_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
],
"counts": {
"dismissed": 123,
"open": 123,
"resolved": 123,
"stale": 123,
"total": 123
},
"event_cursor": "<string>",
"review": {
"actor_id": "<string>",
"code_version_id": "<string>",
"id": "<string>",
"source_execution_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"trail_id": "<string>"
},
"$schema": "/api/v1/schemas/ReviewSnapshotResponseBody.json",
"next_cursor": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}{
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"$schema": "/api/v1/schemas/ProblemDocument.json"
}Authorizations
oauth2bearerAuth
OAuth 2.0 authorization code flow.
Query Parameters
Include dismissed comments when exactly true; retained by the cursor.
current (default), stale, or any. Unrecognized values mean current; retained by the cursor.
Page size (default 100, capped at 1000).
Opaque continuation cursor; restores filters and ordering. Repeated filters must match.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"/api/v1/schemas/ReviewSnapshotResponseBody.json"
Was this page helpful?